      subroutine arraystring(arr)
      character*24 arr(5)
      arr = 'this is a string also'
      end


      subroutine arraytest(arr)
      real*4 arr(3,7)
      do i=1,3
       do j=1,7
         arr(i,j) = 11*i+j-1*i
       end do
      end do
      end


      subroutine square(a)
      a = a*a
      return
      end

      
      subroutine stringer(s)
      character*40 s
      s = 'this is from fortran'
      return
      end


      subroutine structest(ss)
      structure /struct/
       character*30   string
       integer*2      int2
       integer*4      int4
       real*4         real4
       real*8         real8
      end structure
      record /struct/ ss

      ss.int2 = 2
      ss.int4 = 4
      ss.real4 = 4.4
      ss.real8 = 8.8d0
      ss.string = 'fortran test string'
      return
      end

      integer*4 function intpower(m,n)
      intpower = m**n
      return
      end
